org.eclipse.rdf4j.sail

## Class SailLockedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.OpenRDFException
        - - org.eclipse.rdf4j.RDF4JException
          - - org.eclipse.rdf4j.sail.SailException
            - - org.eclipse.rdf4j.sail.SailLockedException

- All Implemented Interfaces:
    Serializable

      public class SailLockedException
      extends SailException

  Indicates that a SAIL cannot be initialised because the configured persisted location is locked.
  Author:
    James Leigh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SailLockedException(String requestedBy)`
    `SailLockedException(String lockedBy, String requestedBy)`
    `SailLockedException(String lockedBy, String requestedBy, LockManager manager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLockedBy()` Returns the name representing the Java virtual machine that acquired the lock.
    `LockManager` | `getLockManager()`
    `String` | `getRequestedBy()` Returns the name representing the Java virtual machine that requested the lock.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SailLockedException

          public SailLockedException(String requestedBy)

    - #### SailLockedException

          public SailLockedException(String lockedBy,
                                     String requestedBy)

    - #### SailLockedException

          public SailLockedException(String lockedBy,
                                     String requestedBy,
                                     LockManager manager)

  - ### Method Detail

    - #### getLockedBy

          public String getLockedBy()

      Returns the name representing the Java virtual machine that acquired the lock.
      Returns:
        the name representing the Java virtual machine that acquired the lock.

    - #### getRequestedBy

          public String getRequestedBy()

      Returns the name representing the Java virtual machine that requested the lock.
      Returns:
        the name representing the Java virtual machine that requested the lock.

    - #### getLockManager

          public LockManager getLockManager()

      Returns:
        Returns the lock manager that failed to obtain a lock.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.